blob: d9c0d89e9aec31c529c7ee0929a61e1a3eed1006 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
|
--- openvswitch-2.3.2/debian/ifupdown.sh 2015-06-18 19:32:47.000000000 +0000
+++ openvswitch-2.3.2/debian/ifupdown.sh.new 2015-08-17 15:56:59.703461309 +0000
@@ -29,8 +29,10 @@ if (ovs_vsctl --version) > /dev/null 2>&
exit 0
fi
-if /etc/init.d/openvswitch-switch status > /dev/null 2>&1; then :; else
- /etc/init.d/openvswitch-switch start
+if ! /etc/init.d/ovs-vswitchd status &>/dev/null; then
+ /etc/init.d/ovs-modules start
+ /etc/init.d/ovsdb-server start
+ /etc/init.d/ovs-vswitchd start
fi
if [ "${MODE}" = "start" ]; then
@@ -42,7 +44,8 @@ if [ "${MODE}" = "start" ]; then
${OVS_EXTRA+-- $OVS_EXTRA}
if [ ! -z "${IF_OVS_PORTS}" ]; then
- ifup --allow="${IFACE}" ${IF_OVS_PORTS}
+# ifup --allow="${IFACE}" ${IF_OVS_PORTS}
+ ifup ${IF_OVS_PORTS}
fi
;;
OVSPort)
@@ -50,24 +53,24 @@ if [ "${MODE}" = "start" ]; then
"${IFACE}" ${IF_OVS_OPTIONS} \
${OVS_EXTRA+-- $OVS_EXTRA}
- ifconfig "${IFACE}" up
+ ip link set dev "${IFACE}" up
;;
OVSIntPort)
ovs_vsctl -- --may-exist add-port "${IF_OVS_BRIDGE}"\
"${IFACE}" ${IF_OVS_OPTIONS} -- set Interface "${IFACE}"\
type=internal ${OVS_EXTRA+-- $OVS_EXTRA}
- ifconfig "${IFACE}" up
+ ip link set dev "${IFACE}" up
;;
OVSBond)
ovs_vsctl -- --fake-iface add-bond "${IF_OVS_BRIDGE}"\
"${IFACE}" ${IF_OVS_BONDS} ${IF_OVS_OPTIONS} \
${OVS_EXTRA+-- $OVS_EXTRA}
- ifconfig "${IFACE}" up
+ ip link set dev "${IFACE}" up
for slave in ${IF_OVS_BONDS}
do
- ifconfig "${slave}" up
+ ip link set dev "${slave}" up
done
;;
OVSTunnel)
@@ -84,7 +87,8 @@ elif [ "${MODE}" = "stop" ]; then
case "${IF_OVS_TYPE}" in
OVSBridge)
if [ ! -z "${IF_OVS_PORTS}" ]; then
- ifdown --allow="${IFACE}" ${IF_OVS_PORTS}
+# ifdown --allow="${IFACE}" ${IF_OVS_PORTS}
+ ifdown ${IF_OVS_PORTS}
fi
ovs_vsctl -- --if-exists del-br "${IFACE}"
|